--- debian/initramfs/cryptroot-script.orig
+++ debian/initramfs/cryptroot-script
@@ -297,10 +297,15 @@
 				return 1
 			fi
 
-			NEWROOT=${cmdline_root:-/dev/mapper/$cryptlvm}
-			if [ "$cryptrootdev" = "yes" ]; then
-				# required for lilo to find the root device
-				echo "ROOT=$NEWROOT" >>/conf/param.conf
+			if [ -f /conf/param.conf ] && grep -q '^ROOT=' /conf/param.conf
+			then
+				eval $(sed -n 's/^ROOT=/NEWROOT=/p' /conf/param.conf)
+			else
+				NEWROOT=${cmdline_root:-/dev/mapper/$cryptlvm}
+				if [ "$cryptrootdev" = "yes" ]; then
+					# required for lilo to find the root device
+					echo "ROOT=$NEWROOT" >>/conf/param.conf
+				fi
 			fi
 			eval $(fstype < "$NEWROOT")
 		fi
